﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Automation.Linq;
using Syncfusion.Windows.Controls.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Controls.Cells;
using Syncfusion.Windows.Shared;
using System.Collections;
using System.Text.RegularExpressions;
using Syncfusion.Windows.Tools.Controls;
using System.ComponentModel;
using System.Xml.Serialization;
using Syncfusion.Windows.Styles;
using System.Xml;
using System.Threading;

namespace GridControlSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            grid.Model.RowCount = 100;
            grid.Model.ColumnCount = 100;

            grid.Model.Options.ActivateCurrentCellBehavior = GridCellActivateAction.DblClickOnCell;

            var brush = new SolidColorBrush(Colors.DarkSlateGray) {Opacity = 0.5};
            grid.Model.Options.HighlightSelectionAlphaBlend = brush;


            grid.Model.Options.ExcelLikeSelectionFrame = true;

            grid.Model.Options.HighlightSelectionBorder = Brushes.DarkOrange;
            grid.Model.Options.HighlightSelectionBorderWidth = 4.0;

            SetBackgroundImage();
        }

        private void SetBackgroundImage()
        {
            var backgroundInfo = new CellSpanBackgroundInfo(1, 1, 20, 20);
            backgroundInfo.Background = new ImageBrush(new BitmapImage(new Uri(@"../../Resources/Image.png", UriKind.RelativeOrAbsolute)));
            grid.Model.CellSpanBackgrounds.Add(backgroundInfo);
        }
    }
}
